class Quota {
  int idHoneyMoonGift;
  int idUser;
  double qtdQuota;
  double vlrQuota;
  DateTime date;
  Quota(
      {this.idHoneyMoonGift,
      this.idUser,
      this.qtdQuota,
      this.vlrQuota,
      this.date});

  factory Quota.fromJson(Map<String, dynamic> quotaJson) {
    return Quota(
        idHoneyMoonGift: quotaJson['idHoneyMoonGift'],
        idUser: quotaJson['idUser'],
        qtdQuota: quotaJson['qtdQuota'],
        vlrQuota: quotaJson['vlrQuota'],
        date: DateTime.fromMillisecondsSinceEpoch(quotaJson['date']));
  }

  Map<String, dynamic> toJson() => {
        'idHoneyMoonGift': idHoneyMoonGift,
        'idUser': idUser,
        'qtdQuota': qtdQuota,
        'vlrQuota': vlrQuota,
        'date': date.millisecondsSinceEpoch
      };
}
