class HoneyMoonGift{
  int idHoneyMoonGift;
  String description;
  String internetAddress;
  int quota;
  String streetAddress;
  String city;
  String country;
  String imageUrl;
  double totalValue;
  HoneyMoonGift({this.idHoneyMoonGift, this.description, this.internetAddress,
    this.quota, this.streetAddress, this.city, this.country, this.imageUrl, this.totalValue});

  factory HoneyMoonGift.fromJson(Map<String, dynamic> honeyMoonGiftJson){
    return HoneyMoonGift(
      idHoneyMoonGift: honeyMoonGiftJson['idHoneyMoonGift'],
        description: honeyMoonGiftJson['description'],
        internetAddress: honeyMoonGiftJson['internetAddress'],
      quota: honeyMoonGiftJson['quota'],
        streetAddress: honeyMoonGiftJson['streetAddress'],
      city: honeyMoonGiftJson['city'],
      country: honeyMoonGiftJson['country'],
      imageUrl: honeyMoonGiftJson['imageUrl'],
      totalValue: honeyMoonGiftJson['totalValue']
    );
  }

  Map<String, dynamic> toJson() => {
    'idHoneyMoonGift': idHoneyMoonGift,
    'description': description,
    'internetAddress': internetAddress,
    'quota': quota,
    'streetAddress': streetAddress,
    'country': country,
    'city': city,
    'imageUrl': imageUrl,
    'totalValue': totalValue
  };

}