class Store{
  int idStore;
  String name;
  String streetAddress;
  String city;
  String country;
  String link;
  String phone;
  String imageUrl;

  Store({this.idStore, this.name, this.streetAddress, this.city, this.country,
    this.link, this.phone, this.imageUrl});

  factory Store.fromJson(Map<String, dynamic> storeJson){
    return Store(
      idStore: storeJson['idStore'],
      name: storeJson['name'],
      streetAddress: storeJson['streetAddress'],
      city: storeJson['city'],
      country: storeJson['country'],
      link: storeJson['link'],
      phone: storeJson['phone'],
      imageUrl: storeJson['imageUrl'],
    );
  }

  Map<String, dynamic> toJson() => {
    'idStore': idStore,
    'name': name,
    'streetAddress': streetAddress,
    'city': city,
    'country': country,
    'link': link,
    'phone': phone,
    'imageUrl': imageUrl
  };

}